JavaScript Must be Enabled

This message affects users of Firefox with the popular No Script add-on installed ...

If you are using Firefox with the No Script add-on, you will need to
make sure that SITE_NAME is an allowed site.

Secifically, this site must be allowed to execute JavaScript and in
most cases must not have IFRAME blocking enabled.

Users have also reported that
upgrading Firefox to version 4.x
make sthigns run smoother with No Script

Google Chrome, MS Internet Explorer and other browsers should have no issues.